"use strict";
/**
 * penguins-eggs
 * class / incubation: jessie.ts
 * author: Piero Proietti
 * email: piero.proietti@gmail.com
 * license: MIT
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.Jessie = void 0;
const tslib_1 = require("tslib");
const fisherman_1 = tslib_1.__importDefault(require("../fisherman"));
/**
 *
 */
class Jessie {
    /**
     * @param remix
     * @param distro
     * @param displaymanager
     * @param verbose
     */
    constructor(installer, remix, distro, user_opt, release = false, verbose = false) {
        this.verbose = false;
        this.installer = {};
        this.release = false;
        this.installer = installer;
        this.remix = remix;
        this.distro = distro;
        this.user_opt = user_opt;
        this.verbose = verbose;
        this.release = release; // nel senso di --final
    }
    /**
     * partitions can come from themes
     */
    async create() {
        const fisherman = new fisherman_1.default(this.distro, this.installer, this.verbose);
        await fisherman.createCalamaresSettings(this.remix.branding);
        await fisherman.buildModule('partition', this.remix.branding);
        await fisherman.buildCalamaresModule('sources-yolk', true);
        await fisherman.moduleRemoveuser(this.user_opt);
        await fisherman.buildCalamaresModule('sources-yolk-undo', false);
    }
}
exports.Jessie = Jessie;
