/**
 * penguins-eggs
 * lib: get_hostname.ts
 * author: Piero Proietti
 * email: piero.proietti@gmail.com
 * license: MIT
 */
'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const inquirer = require('inquirer');
async function getHostname(initial) {
    return new Promise(function (resolve) {
        const questions = [
            {
                type: 'input',
                name: 'hostname',
                message: 'Choose a name for this computer? ',
                default: initial,
            },
        ];
        inquirer.prompt(questions).then(function (options) {
            resolve(options.hostname);
        });
    });
}
exports.default = getHostname;
