/**
 * penguins-eggs
 * lib: select_installation_mode.ts
 * author: Piero Proietti
 * email: piero.proietti@gmail.com
 * license: MIT
 */
'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const inquirer = require('inquirer');
async function selectInstallationMode() {
    const modes = ['standard', 'full-encrypted', 'lvm2'];
    const questions = [
        {
            type: 'list',
            name: 'installationMode',
            message: 'Select the installation mode: ',
            choices: modes,
        },
    ];
    return new Promise(function (resolve) {
        inquirer.prompt(questions).then(function (options) {
            resolve(options.installationMode);
        });
    });
}
exports.default = selectInstallationMode;
